# DataExchange
TKXSBase
StepData

# StepData_FieldList Class Reference

Describes a list of fields, in a general way
This basic class is for a null size list
Subclasses are for 1, N (fixed) or Dynamic sizes
.

`#include <StepData_FieldList.hxx>`

Inheritance diagram for StepData_FieldList:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepData_FieldList ()
| Creates a FieldList of 0 Field .
virtual Standard_EXPORT Standard_Integer | NbFields () const
| Returns the count of fields. Here, returns 0 .
virtual Standard_EXPORT const StepData_Field & | Field (const Standard_Integer num) const
| Returns the field n0 <num> between 1 and NbFields (read only) .
virtual Standard_EXPORT StepData_Field & | CField (const Standard_Integer num)
| Returns the field n0 <num> between 1 and NbFields, in order to modify its content .
Standard_EXPORT void | FillShared (Interface_EntityIterator &iter) const
| Fills an iterator with the entities shared by <me> .

## Constructor & Destructor Documentation

Standard_EXPORT StepData_FieldList::StepData_FieldList | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT StepData_Field& StepData_FieldList::CField | ( | const Standard_Integer | num | ) | `[virtual]`

| Reimplemented in StepData_FieldList1, StepData_FieldListD, and StepData_FieldListN.

virtual Standard_EXPORT const StepData_Field& StepData_FieldList::Field | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented in StepData_FieldList1, StepData_FieldListD, and StepData_FieldListN.

Standard_EXPORT void StepData_FieldList::FillShared | ( | Interface_EntityIterator & | iter | ) | const

virtual Standard_EXPORT Standard_Integer StepData_FieldList::NbFields | ( |  | ) | const`[virtual]`

| Reimplemented in StepData_FieldList1, StepData_FieldListD, and StepData_FieldListN.

void StepData_FieldList::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in StepData_FieldList1, StepData_FieldListD, and StepData_FieldListN.

void* StepData_FieldList::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in StepData_FieldList1, StepData_FieldListD, and StepData_FieldListN.

void* StepData_FieldList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in StepData_FieldList1, StepData_FieldListD, and StepData_FieldListN.

The documentation for this class was generated from the following file:

- StepData_FieldList.hxx